package fr.username404.snowygui.mixins;

import com.mojang.blaze3d.vertex.PoseStack;
import fr.username404.snowygui.gui.feature.NoHurtCamera;
import net.minecraft.client.renderer.GameRenderer;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(GameRenderer.class)
public class RendererMixin {
	@Inject(method = "bobHurt", at = @At("HEAD"), cancellable = true)
	private void onHurt(PoseStack poseStack, float f, CallbackInfo ci) {
		if (NoHurtCamera.INSTANCE.getToggled()) ci.cancel();
	}
}
